



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>django 简易版搭建</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">django 简易版搭建</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 00:41:17 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">1、根目录下创建mysql.cnf文件
</pre>
<pre class="prettyprint linenums">[client]<br />database = identimg<br />user = root<br />password = root<br />host = 127.0.0.1<br />port = 3306<br />default-character-set = utf8

2、修改settings.py
</pre>
<pre class="prettyprint linenums">DATABASES = {<br />    'default': {<br />        'ENGINE': 'django.db.backends.mysql',<br />        'OPTIONS': {<br />            'read_default_file': os.path.join(BASE_DIR,"mysql.cnf"),<br />            'init_command': "SET sql_mode='STRICT_TRANS_TABLES'",<br />        },<br />        # 'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),<br />    }<br />}

3、更新pip </pre>
<pre class="prettyprint linenums">//  卸载<br />
pip uninstall pip<br />
// 重新安装<br />
easy_install pip

pip -V</pre>
</div>
<div>
<pre class="prettyprint linenums">// 安装mysql驱动，<br />
pip install mysqlclient     最近装了一次，竟然一直不成功。 555 ~ pip install mysqlclient==1.3.10  这样却是成功的

// 生成数据库表<br />
python manage.py migrate

// 创建 polls应用<br />
python manage.py startapp polls<br />
// settings.py 中 添加应用<br />
INSTALLED_APPS = [<br />
    'polls.apps.PollsConfig',<br />
    'django.contrib.admin',<br />
    'django.contrib.auth',<br />
    'django.contrib.contenttypes',<br />
    'django.contrib.sessions',<br />
    'django.contrib.messages',<br />
    'django.contrib.staticfiles',<br />
]<br />
<br />// polls下创建urls.py</pre>
<pre class="prettyprint linenums">from django.urls import path<br />from .SpeakM import test

urlpatterns = [<br />    path('speak',test)<br />]</pre>
<pre class="prettyprint linenums">// 修改项目目录下的urls.py 为</pre>
<pre class="prettyprint linenums">from django.contrib import admin<br />from django.urls import path,include<br />urlpatterns = [<br />    path('admin/', admin.site.urls),<br />    path('api/',include('apiService.urls'))<br />]</pre>
<pre class="prettyprint linenums">// 创建模型<br />
from django.db import models<br />
//  polls/models.py 中<br />
class Question(models.Model):<br />
    question_text = models.CharField(max_length=200)<br />
    pub_date = models.DateTimeField('date published')

class Choice(models.Model):<br />
    question = models.ForeignKey(Question, on_delete=models.CASCADE)<br />
    choice_text = models.CharField(max_length=200)<br />
    votes = models.IntegerField(default=0)

//  创建数据迁移<br />
 python manage.py makemigrations polls

//   数据迁移对应的 sql<br />
python manage.py sqlmigrate polls 0001

// 再次数据迁移<br />
python manage.py migrate</pre>
</div>
<p>总结数据库操作流程</p>
<ul><li>编辑&nbsp;<code>models.py</code>&nbsp;文件，改变模型。</li>
<li>运行&nbsp;<a href="https://docs.djangoproject.com/zh-hans/2.0/ref/django-admin/#django-admin-makemigrations" rel="external nofollow noreferrer"><code>python&nbsp;manage.py&nbsp;makemigrations</code></a>&nbsp;为模型的改变生成迁移文件。</li>
<li>运行&nbsp;<a href="https://docs.djangoproject.com/zh-hans/2.0/ref/django-admin/#django-admin-migrate" rel="external nofollow noreferrer"><code>python&nbsp;manage.py&nbsp;migrate</code></a>&nbsp;来应用数据库迁移</li></ul>
<p>创建管理员账号</p>
<div>
<pre class="prettyprint linenums">python manage.py createsuperuser

// 在 polls/admin.py 中，将Question加入管理

from django.contrib import admin

from .models import Question

admin.site.register(Question)</pre>
</div>
<p>创建测试</p>
<div>
<pre class="prettyprint linenums">//  将下面的代码写入 polls 应用里的 tests.py 文件内：

import datetime

from django.test import TestCase<br />
from django.utils import timezone

from .models import Question

class QuestionModelTests(TestCase):<br />
<br />     # 测试方法必须test 开头<br />
    def test_was_published_recently_with_future_question(self):<br />
        """<br />
        was_published_recently() returns False for questions whose pub_date<br />
        is in the future.<br />
        """<br />
        time = timezone.now() + datetime.timedelta(days=30)<br />
        future_question = Question(pub_date=time)<br />
        self.assertIs(future_question.was_published_recently(), False)</pre>
</div>
<p>运行测试</p>
<div>
<pre class="prettyprint linenums">python manage.py test polls

## 结果<br />
Creating test database for alias 'default'...<br />
System check identified no issues (0 silenced).<br />
F<br />
======================================================================<br />
FAIL: test_was_published_recently_with_future_question (polls.tests.QuestionModelTests)<br />
----------------------------------------------------------------------<br />
Traceback (most recent call last):<br />
  File "/path/to/mysite/polls/tests.py", line 16, in test_was_published_recently_with_future_question<br />
    self.assertIs(future_question.was_published_recently(), False)<br />
AssertionError: True is not False

----------------------------------------------------------------------<br />
Ran 1 test in 0.001s

FAILED (failures=1)<br />
Destroying test database for alias 'default'...</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqv1zwjq.html">逍遥安卓连接androidstudio</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv3j0j8.html">【原创】Lucene&period;Net&plus;盘古分词器&lpar;详细介绍&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gx5n4q.html">VC&plus;&plus; Debug编译方式</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p1wm49.html">&lbrack;GE&rsqb;手动截取当前活动窗口&comma;并且按规则命名&lpar;1&sol;2&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okv4m59.html">&lbrack;转&rsqb; C&num; 绘制报表，使用Graphics&period;DrawString 方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvn6exq.html">【转】开发者分享如何创造一款优秀的iOS游戏&amp;mdash&semi;&amp;mdash&semi;2013-08-25 17</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x1g568.html">Win10开发必备：Visual Studio 2015正式版下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmlknz9.html">poj3589---判断两个数有多接近</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1drkzq.html">LeetCode OJ 220&period;Contains Duplicate 3</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp5v0jq.html">PullToRefreshListView上拉加载、下拉刷新 eclipse项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y375w8.html">Alpha阶段-个人总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge62l78.html">mybatis学习成长之路（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k7z429.html">canvas学习笔记（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/95063o68.html">docker下载镜像received unexpected Http status&colon;500 Internal Server Error</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e41j4m9.html">docker ，docker与虚拟机的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q255g1xq.html">The SDK &amp;&num;39&semi;Microsoft&period;NET&period;Sdk&amp;&num;39&semi; specified could not be found&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rpxp48.html">mac  下node，yarn安装及版本切换</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j7zeeq.html">spring cloud 下载依赖慢解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25ylwlq.html">PowerBuilder常用字符串函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7e71ek9.html">Kibana在Linux上安装部署及使用说明</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q4jdvojq.html">怎样从外网访问内网CouchDB数据库</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdy3009.html">Python 简单soket例子</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllv4k0q.html">ubuntu kylin18 安装NVIDIA驱动</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvwogx8.html">MySql 三大知识点，索引、锁、事务，原理分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7od6m18.html">Flutter - BottomNavigationBar底部导航栏切换后，状态丢失。底部</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2k340q.html">HDU 5405 Sometimes Naive（动态树）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zy3d5n9.html">codeforce gym&sol;100495&sol;problem&sol;K&mdash;Wolf and sheep   两圆求相交面积   与  gym&sol;100495&sol;problem&sol;E&mdash;Simple sequence思路简述</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdy1jz9.html">点击倒计时60S获取验证码</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jdxrjq.html">C&num; 关闭子窗体释放子窗体对象问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r56z1dq.html">误操作yum导致error&colon; rpmdb</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
